package com.ruoyi.interfaces.service.impl;

import java.util.List;

import com.ruoyi.interfaces.domain.PtServiceLog;
import com.ruoyi.interfaces.mapper.PtServiceLogMapper;
import com.ruoyi.interfaces.service.IPtServiceLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 服务调用日志Service业务层处理
 * 
 * @author 朱得糠
 * @date 2025-09-01
 */
@Service
public class PtServiceLogServiceImpl implements IPtServiceLogService
{
    @Autowired
    private PtServiceLogMapper ptServiceLogMapper;

    /**
     * 查询服务调用日志
     * 
     * @param logId 服务调用日志主键
     * @return 服务调用日志
     */
    @Override
    public PtServiceLog selectPtServiceLogByLogId(Long logId)
    {
        return ptServiceLogMapper.selectPtServiceLogByLogId(logId);
    }

    /**
     * 查询服务调用日志列表
     * 
     * @param ptServiceLog 服务调用日志
     * @return 服务调用日志
     */
    @Override
    public List<PtServiceLog> selectPtServiceLogList(PtServiceLog ptServiceLog)
    {
        return ptServiceLogMapper.selectPtServiceLogList(ptServiceLog);
    }

    /**
     * 新增服务调用日志
     * 
     * @param ptServiceLog 服务调用日志
     * @return 结果
     */
    @Override
    public int insertPtServiceLog(PtServiceLog ptServiceLog)
    {
        return ptServiceLogMapper.insertPtServiceLog(ptServiceLog);
    }

    /**
     * 修改服务调用日志
     * 
     * @param ptServiceLog 服务调用日志
     * @return 结果
     */
    @Override
    public int updatePtServiceLog(PtServiceLog ptServiceLog)
    {
        return ptServiceLogMapper.updatePtServiceLog(ptServiceLog);
    }

    /**
     * 批量删除服务调用日志
     * 
     * @param logIds 需要删除的服务调用日志主键
     * @return 结果
     */
    @Override
    public int deletePtServiceLogByLogIds(Long[] logIds)
    {
        return ptServiceLogMapper.deletePtServiceLogByLogIds(logIds);
    }

    /**
     * 删除服务调用日志信息
     * 
     * @param logId 服务调用日志主键
     * @return 结果
     */
    @Override
    public int deletePtServiceLogByLogId(Long logId)
    {
        return ptServiceLogMapper.deletePtServiceLogByLogId(logId);
    }
}
